#
# spec file for package apcupsd (Version 3.8.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         apcupsd
Group:	      System Environment/Daemons
Copyright:    GPL
Summary:      APC UPS Daemon (powerful daemon for APC UPS'es)
Version:      3.8.2
Release:      36
URL:	      http://www.sibbald.com/apcupsd/
Source:       apcupsd-%{version}.tar.bz2
Patch:        apcupsd-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Controls / monitors the status of an APC UPS under Linux.
Allows your computer or server to run for a specified length of
time on UPS power, and then executes a controlled shutdown in
the case of an extended power failure.
Find APC on the Internet at: http://www.apcc.com
APC UPS Daemon Support Center:
Look also: http://www.brisse.dk/site/apcupsd/
Riccardo Fachettis FTP-server - Sourcecode and binaries:
ftp://ftp.oasi.gpa.it/pub/apcupsd/
APC also made their PowerChute plus available for download at:
http://www.apcc.com/tools/download/
Supported:
BackUPS, BackUPS Pro, SmartUPS V/S, and SmartUPS(NET/RM)
Experimental:
MatrixUPS, ShareUPS and SmartUPS V/S
The following APC cables are supported fully:
940-0020B,
940-0024B, 940-0024C, 940-0024G,
940-1524C,
940-0095A, 940-0095C,
940-0023A(Last resort, please pick another.)
Successful tests on BackUPS 400/600, BackUPS Pro 420/650/1400,
SmartUPS v/s, and SmartUPS SU700RM/SU1250/SU1400RM w/ SMNP
PowerNET card. Current testing with ShareUPS/SU3000 Matrix.
EtherUPS or NetUPS is clean and works but needs slave
disconnect/reconnect polish.
APCaccess is the IPC management tool for "apcupsd".
APCaccess is also used to manage slaves locally.

Authors:
--------
    Andre Hedrick <andre@suse.com>

SuSE series: ap

%prep
%setup
%patch

%build
(cd scripts
   %{suse_update_config -f}
)
(cd autoconf
   aclocal
   autoconf
   cp configure ../
)
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
                                    --sbindir=/sbin \
                                    --mandir=%{_mandir} \
                                    --enable-powerflute \
                                    --disable-nls \
                                    --enable-pthreads \
                                    --enable-cgi \
				    --with-libwrap \
                                    --with-cgi-bin=/usr/local/httpd/cgi-bin
make
make apctest

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf ../etc/init.d/apcupsd $RPM_BUILD_ROOT/sbin/rcapcupsd
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates/
cat > $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.apcupsd <<EOF
# Launching of apcupsd
# START_APCUPSD option set to "yes" if you plan to use APCUPSD, else "no"
#
START_APCUPSD="no"
EOF
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/apcupsd
cp distributions/suse/halt-setup.sh $RPM_BUILD_ROOT/usr/lib/apcupsd
cp apctest $RPM_BUILD_ROOT/sbin

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.apcupsd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.apcupsd and "
  echo "update by hand."
fi
sbin/insserv etc/init.d/apcupsd
sh usr/lib/apcupsd/halt-setup.sh install

%postun
sbin/insserv etc/init.d/
usr/lib/apcupsd/halt-setup.sh uninstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog* Developers TODO doc/ examples/ techlogs/
%attr(4755,root,root) /sbin/apcupsd
/sbin/apcaccess
/sbin/apcnisd
/sbin/apctest
/sbin/powerflute
/sbin/rcapcupsd
/etc/init.d/apcupsd
%dir /etc/apcupsd/
/etc/apcupsd/apccontrol
%config(noreplace)/etc/apcupsd/apcupsd.conf
/etc/apcupsd/changeme
/etc/apcupsd/commfailure
/etc/apcupsd/commok
%config(noreplace) /etc/apcupsd/hosts.conf
/etc/apcupsd/mainsback
%config(noreplace) /etc/apcupsd/multimon.conf
/etc/apcupsd/onbattery
/usr/local/httpd/cgi-bin/multimon.cgi
/usr/local/httpd/cgi-bin/multimoncss.cgi
/usr/local/httpd/cgi-bin/upsfstats.cgi
/usr/local/httpd/cgi-bin/upsstats.cgi
/usr/local/httpd/cgi-bin/upsimage.cgi
%doc %{_mandir}/man8/apcupsd.8*
/var/adm/fillup-templates/rc.config.apcupsd
/usr/lib/apcupsd

%changelog -n apcupsd
* Thu Jul 26 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Wed Jul 25 2001 - cihlar@suse.cz
- update to 3.8.2
- added part with autoconf
- compile with --with-libwrap and --enable-pthreads
* Thu Apr 12 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Mon Jan 15 2001 - cihlar@suse.cz
- added apctest
* Wed Jan 10 2001 - cihlar@suse.cz
- update to 3.8.1
- change to new init script mechanism
- fixed initialization of halt.local
- added BuildRoot
- clean up spec file
- bzipped sources
- added fillup of rc.config
* Mon Jun 19 2000 - kasal@suse.de
- Updated to 3.7.2.  The package is still BETA, see "Todo" below.
* Sun Oct 10 1999 - bk@suse.de
- new package, requested e.g by Andre Hedrick <andre@suse.com>
  Todo:
- polish /sbin/init.d/apcupsd and add links to the rcX.d directories
- add the proper START_APCUPSD= fillup for /etc/rc.config
- add the changes for halt.sh in the suse subdir
